### Method

# Camel NameValueArray equal

since: 3.24

#### Declaration [src]

    gboolean
    camel_name_value_array_equal (
      const CamelNameValueArray* array_a,
      const CamelNameValueArray* array_b,
      CamelCompareType compare_type
    )

#### Description [src]

Compares content of the two `CamelNameValueArray` and returns whether they equal. Note this is an expensive operation for large arrays.

Available since: 3.24

#### Parameters

`array_a`

  Type: `CamelNameValueArray`

  The first `CamelNameValueArray`.

  The argument can be `NULL`.

`array_b`

  Type: `CamelNameValueArray`

  The second `CamelNameValueArray`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`compare_type`

  Type: `CamelCompareType`

  A compare type, one of `CamelCompareType`.

#### Return value

Type: `gboolean`

Whether the two `CamelNameValueArray` have the same content.